2008-11-15  Manoj Srivastava  <srivasta@debian.org>

	* headers.mk (debian/stamp/binary/$(h_package)): master Use the
	LINK_ARCH variable instead of KERNEL_ARCGH variables in more
	places; this ensures that the headers for x86 archies do not go
	missing. 

2007-11-30  Manoj Srivastava  <srivasta@debian.org>

	* target.mk (conf.vars):
	srivasta@debian.org--lenny/kernel-package--devel--11.0--patch-13
	use DEB_HOST_ARCH_OS, not DEB_HOST_GNU_SYSTEM

	* image.mk (install/$(i_package)):
	srivasta@debian.org--lenny/kernel-package--devel--11.0--patch-13
	use DEB_HOST_ARCH_OS, not DEB_HOST_GNU_SYSTEM

2007-05-05  Manoj Srivastava  <srivasta@debian.org>

	* target.mk (NEED_CONFIG):
		  srivasta@debian.org--lenny/kernel-package--devel--11.0--patch-10
		  Determine if this kernel needs a pre-defined .config or
		  not.
	  (.config):
		  srivasta@debian.org--lenny/kernel-package--devel--11.0--patch-10
		  If it does, then use make defconfig to generate one.
	  (debian/stamp-conf):
		  srivasta@debian.org--lenny/kernel-package--devel--11.0--patch-11
		  Do not move setlocalversion out of the way, now that we
		  can handle the -dirty string.
	  (real_stamp_clean):
		  srivasta@debian.org--lenny/kernel-package--devel--11.0--patch-11
		  Since we do not move setlocalversion out of the way,
		  there is no need to revert that on clean.

2007-03-01  Manoj Srivastava  <srivasta@debian.org>

	* target.mk (debian/stamp-conf):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--versionfix-11
		  Move scripts/setlocalversion out of the way during
		  config
	  (real_stamp_clean):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--versionfix-11
		  And restore it during clean
	  (echo using the compiler):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--versionfix-13
		  Fix patch names and source version name that is saved in
		  the buildinfo file.

2007-02-25  Manoj Srivastava  <srivasta@debian.org>

	* headers.mk (echo "This was produced by kernel-package version):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--versionfix-7
		  Add missing files in the headers package for UML.

2007-02-24  Manoj Srivastava  <srivasta@debian.org>

	* target.mk (uts_ver):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--versionfix-5
		  ldso is an obsolete package, remove from buildinfo

2007-01-17  Manoj Srivastava  <srivasta@debian.org>

	* source.mk (install/$(s_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-204
		  Make source packages even for Xen and UML.
	  (debian/$(s_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-204
		  Ditto.
	  (binary/$(s_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-204
		  Ditto.

	* manual.mk (install/$(m_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-204
		  Make manual packages even for Xen and UML 
		  (debian/$(m_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-204
		  Ditto.
	  (binary/$(m_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-204
		  Ditto.

	* headers.mk (install/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-204
		  Make header  packages even for Xen and UML
		  (debian/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-204
		  Ditto.
		  (binary/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-204
		  Ditto.
		  srivasta@debian.org--etch/kernel-package--devel--9.0--versionfix-3
			  When trying to compile external modules on on
			  IA64/McKinley ItaniumII, the Makefile in
			  arch/ia64/ needs some scripts from
			  arch/ia64/scripts/ directory. These scripts were
			  not so far being shipped.

	* doc.mk (install/$(d_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-204
		  Make all packages even for Xen and UML variants 
	  (debian/$(d_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-204
		  Ditto.
	  (binary/$(d_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-204
		  Ditto.

2006-11-08  Manoj Srivastava  <srivasta@debian.org>

	* target.mk (real_stamp_clean):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-203
		  Check for the actual file we are trying to clean up

2006-11-04  Manoj Srivastava  <srivasta@debian.org>

	* target.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-201
		  Fix sed problems if the kernel build system decides to
		  redo configuration

2006-09-24  Manoj Srivastava  <srivasta@debian.org>

	* image.mk (DESTDIR):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-188
		  Provide full path for /sbin/depmod

2006-09-03  Roland Stigge <stigge@debian.org>

	* image.mk, headers.mk, doc.mk, source.mk (debian/$(?_package)):
		  Added calls for md5sums creation

2006-07-19  Manoj Srivastava  <srivasta@debian.org>

	* image.mk (install/$(i_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-168
		  Handle the new file include/linux/utsrelease.h  by using
	          the new variable UTS_RELEASE_HEADER

	* headers.mk (install/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-168
		  Ditto. 

	* target.mk (real_stamp_clean):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-162
		  Revert the changes done during config while cleaning.
	  (debian/stamp-conf):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-162
		  Move the files we change in ./scripts to unique names 
		  Use the new variable UTS_RELEASE_HEADER

2006-06-16  Manoj Srivastava  <srivasta@debian.org>

	* headers.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-160
		  Also copy (if it does exists) arch/$(KERNEL_ARCH)/include 

2006-06-05  Manoj Srivastava  <srivasta@debian.org>

	* image.mk (TMPTOP):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-154
		  Do not flatten the modules dir structure fpr UML modules.

2006-04-13  Manoj Srivastava  <srivasta@debian.org>

	* image.mk (TMPTOP):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-142
		  Remove mkvmlinuz specific  code; instead, use a generic
		  post-processing variable. 

2006-04-12  Manoj Srivastava  <srivasta@debian.org>

	* image.mk (install/$(i_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-142
		  Make sure that the System.map and config files installed
		  in /boot for Xen images have  a string in the name ti
		  disambiguate them from "normal" image packages files.  

2006-03-29  Manoj Srivastava  <srivasta@debian.org>

	* source.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-141
		  Addeddiagnostic messages reporting theversion of
		  kernel-package being run. 

	* manual.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-141
		  Ditto. 

	* target.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-141
		  Ditto. 

	* doc.mk: srivasta@debian.org--etch/kernel-package--devel--9.0--patch-141
		  Ditto.  

	* headers.mk (install/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-140
		  Install .kernelrelease into the header package as
		  well.
		  Added a diagnostic messages reporting the version of
		  kernel-package being run. 

2006-03-22  Manoj Srivastava  <srivasta@debian.org>

	* image.mk (install/$(i_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-129
		  Install the sample script 

2006-03-21  Manoj Srivastava  <srivasta@debian.org>

	* target.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-129
		  Fix comparison of UTS_RELEASE by delaying it until run
		  time 

	* headers.mk (install/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-129
		  Ditto.

	* image.mk (install/$(i_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-129
		  Ditto.

2006-02-27  Manoj Srivastava  <srivasta@debian.org>

	* headers.mk (echo "This was produced by kernel-package version):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-122
		  Install localversion files in the headers package. 

2006-02-12  Manoj Srivastava  <srivasta@debian.org>

	* target.mk (debian/stamp-prepare):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-121
		  Reversed the  order of the version test. The old way was
		  buggy. 

2006-01-05  Manoj Srivastava  <srivasta@debian.org>

	* target.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-111
		  use $(checkdir) instead of depending  on the testdir
		  target, just so we are not remade  all the time.  

	* source.mk (binary/$(s_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-112
		  use $(checkdir) instead of depending on the testdir
		  target, just so we are not remade all the time. 

	* manual.mk (binary/$(m_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-112
		  Ditto

2005-12-31  Manoj Srivastava  <srivasta@debian.org>

	* image.mk (TMPTOP):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-105
		  adjust the call to install mkvmlinuz stuff, since the
		  path is now relative

2005-12-19  Manoj Srivastava  <srivasta@debian.org>

	* image.mk (install/$(i_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-89
		  Enable better printing of the version mismatch message.  

	* headers.mk (install/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-89
		  Enable better printing of the version mismatch message. 

	* target.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-89
		  in conf.vars, look for $(INT_STEM)-source-foo, not
		  kernel-source-foo. 

2005-12-11  Manoj Srivastava  <srivasta@debian.org>

	* headers.mk (install/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-85
		  Also install arch/$(KERNEL_ARCH)/Makefile.cpu, since it
		  is needed by newer kernels. Thanks to   Stefan
		  Lippers-Hollmann 

2005-12-04  Manoj Srivastava  <srivasta@debian.org>

	* headers.mk (echo "This was produced by kernel-package version):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-76
		  s/--exec/-exec/ for find. 

	* source.mk (install/$(s_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-76
		  s/--exec/-exec/ for find.

2005-12-03  Manoj Srivastava  <srivasta@debian.org>

	* headers.mk (install/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-74
		  make-kpkg insists on there being a ./debian directory,
		  and it makes sense to ship the directory in the source
		  and header packages, since shipping it means that we
		  also remove the need for kernel-package to be installed
		  on the target system 

	* source.mk (install/$(s_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-74
		  Arrange for ./debian directory to be shipped in the
		  package. 

2005-11-30  Manoj Srivastava  <srivasta@debian.org>

	* image.mk (install/$(i_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-72
		  Move the clean hook out of here.
	  (debian/$(i_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-72
		  And into here. 

	* headers.mk (install/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-72
		  It was reported that the hooks called while various
		  kernel packages were being built were now called
		  _before_ the maintainer scripts were put into place,
		  preventing any modifications of these scripts. In some
		  cases, like the image and headers packages, it was
		  possible to move the hooks to a point just before the
		  package creation. In other cases, like for the source
		  package, this was not possible, since the source is
		  tarred up prior to packaging, and the hooks needs to be
		  run before the tarring is done. In the case of the manual
		  package, there was no hook invoked. Move the hook
		  invocation away from the install target. 
	  (debian/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-72
		  And invoke it here instead. 

2005-11-09  Manoj Srivastava  <srivasta@debian.org>

	* headers.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-55
		  Restrict the search for ELF filesfor stripping to the
		  dir in which they are found; which may or may notbe
		  present. This vastly speeds up the generation.

2005-11-08  Manoj Srivastava  <srivasta@debian.org>

	* source.mk (install/$(s_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-69
		  No longer mention FLAVOURS, since that is now gone. 

	* headers.mk (debian/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-55
		  Well, it turns out that only on some architectures do we
		  havea binary using a dynamically loaded shared library,
		  so the call to dpkg-shlibs was failing on the
		  others. Now, go throug a complex dance in which we
		  either call dpkg-shlibs, or edit the control file using
		  Perl, so that both cases can be catered to. 

	* image.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-67
		  Export the variable IMAGE_TOP before calling scripts in
		  $(SRCTOP)/debian/image.d and debian/post-install, since
		  that is what they expected. 

2005-11-07  Manoj Srivastava  <srivasta@debian.org>

	* headers.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-55
		  Add a whole slew of variables to the list of those to be
		  interpolated into the postinst and the create_link
		  script.  
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-55
		  typo fix. 
		  aparently, there was an elf binary in the package; and
		  we were missing a share lib dependency. Added a
		  call to dpkg-shlibdeps 

2005-11-06  Manoj Srivastava  <srivasta@debian.org>

	* headers.mk (install/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-55
		  create the /etc/kernel/postinst.d directory, and install
		  the script create link-VERSION there. 
	  (debian/$(h_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-55
		  Add the /etc/kernel/postinst.d/create_link-*file
		  to conffiles. 

2005-11-03  Manoj Srivastava  <srivasta@debian.org>

	* image.mk (debian/$(i_package)):
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-55
		  Add a config script, and a templates.master file for
		  debconf, with the proper substitutions.  

2005-11-02  Manoj Srivastava  <srivasta@debian.org>

	* target.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-53
		  This file provides the commands commaon to a number of
		  packages built, and also includes the files providing
		  commands to build each of the packages we create. 

	* source.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-53
		  This file is responsible forcreating the kernel-source
		  packages  

	* sanity_check.mk: This contains a sanity check that must be
		  passed before creating a kernel package

	* manual.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-53
		  This file is responsible for creating the kernel-manual
		  packages  

	* image.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-53
		  This file is responsible for creating the kernel-image
		  packages

	* headers.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-53
		  This file is responsible for creating the kernel-headers
		  packages  

	* doc.mk:
		  srivasta@debian.org--etch/kernel-package--devel--9.0--patch-53
		  This file is responsible for creating  the kernel-doc
		  packages  

